# _CompositeOptions Struct Reference

## Data Fields

ChannelType | channel
char * | blend_geometry
char * | displace_geometry
char * | dissolve_geometry
char * | geometry
char * | unsharp_geometry
char * | watermark_geometry
CompositeOperator | compose
GravityType | gravity
long | stegano
MagickBooleanType | stereo
MagickBooleanType | tile

## Field Documentation

ChannelType _CompositeOptions::channel

char* _CompositeOptions::blend_geometry

char * _CompositeOptions::displace_geometry

char * _CompositeOptions::dissolve_geometry

char * _CompositeOptions::geometry

char * _CompositeOptions::unsharp_geometry

char * _CompositeOptions::watermark_geometry

CompositeOperator _CompositeOptions::compose

GravityType _CompositeOptions::gravity

long _CompositeOptions::stegano

MagickBooleanType _CompositeOptions::stereo

MagickBooleanType _CompositeOptions::tile

The documentation for this struct was generated from the following file:

- composite.c